from pydantic import BaseModel, Field
from typing import List, Optional, Literal

class UpdateUsageCostRequest(BaseModel):
    company_ids: Optional[List[str]] = None
    start_date: str
    end_date: str
    product: str
    price: float
    billing_unit: int